Skip to main content
`Ctrl`+`K`

# TSGetNumEvents

Get the number of events defined on the given MPI process

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetNumEvents(TS ts, PetscInt *nevents)

Logically Collective

## Input Parameter

- ts - the `TS` context

## Output Parameter

- nevents - the number of local events on each MPI process

## See Also

TS: Scalable ODE and DAE Solvers, `TSEvent`, `TSSetEventHandler()`

## Level

intermediate

## Location

src/ts/event/tsevent.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages